<div class="w-100 h-100 mh-100 d-flex flex-column overflow-auto">
  <cb-object-explorer-header [title]="title" [selectedObjects]="actualObjects"
                             [actionUpdated]="chosenAction" [collapsed]="collapsed" [roots]="roots"
                             (newActionEvent)="actionChosen($event)" (collapseEvent)="collapseStatusChanged($event)">
  </cb-object-explorer-header>
  <div class="flex-grow-1">
    <div class="h-100 d-flex flex-row">
      <div class="flex-grow-1">
        <cb-tree-grid-view *ngIf="currentView === TreeGridViewComponent" #treeGridView [title]="title" [roots]="roots" [initialExpansion]="initialExpansion" [objectSelection]="objectSelection" [suppressSelection]="suppressSelection" (selectedObjects)="onObjectSelection($event)" ></cb-tree-grid-view>
        <cb-icon-view *ngIf="currentView === IconViewComponent" #iconView [title]="title" [roots]="roots" [initialExpansion]="initialExpansion" (selectedObjects)="onObjectSelection($event)"></cb-icon-view>
      </div>
      <div *ngIf="collapsed && (chosenCard)" class="d-block h-100 mh-100 half-padded">
        <div class="d-flex flex-column h-100 mh-100 w-100 overflow-auto">
          <div *ngIf="!!chosenCard" class="flex-basis-100 flex-grow-1">
            <div *ngIf="chosenCard === Card.PROPERTIES" class="h-100 half-padded">
              <cb-dynamic-standard-card [subject]="[mostRecentActualDesktopObject]" [method]="'PUT'" (readyToClose)="closePropertiesCard($event)">
              </cb-dynamic-standard-card>
            </div>
            <div *ngIf="chosenCard === Card.UPLOAD" class="h-100 half-padded">
              <upload-file-card [subject]="[uploadSelectedDesktopObject]" [dataPath]="uploadSelectedDesktopObjectDataPath" (readyToClose)="closeUploadCard($event)">
              </upload-file-card>
            </div>
            <div *ngIf="chosenCard === Card.DOWNLOAD" class="h-100 half-padded">
              <cb-download-card [subject]="actualObjects" (readyToClose)="closeDownloadCard()">
              </cb-download-card>
            </div>
            <div *ngIf="chosenCard === Card.PREVIEW" class="h-100 half-padded">
              <file-preview-card [subject]="[mostRecentActualDesktopObject]" (readyToClose)="closePreviewCard(false)">
              </file-preview-card>
            </div>
            <div *ngIf="chosenCard === Card.ADD" class="h-100 half-padded">
              <cb-create-card [subject]="[mostRecentActualDesktopObject]" [dataPath]="addSelectedDesktopObjectDataPath" (readyToClose)="closeAddCard($event)"></cb-create-card>
            </div>
            <div *ngIf="chosenCard === Card.DYNAMIC_STANDARD" class="h-100 half-padded">
              <cb-dynamic-standard-card [subject]="[dynamicStandardSelectedDesktopObject]" [formData]="dynamicStandardFormData" [link]="dynamicStandardChosenLink" [dataPath]="dynamicStandardSelectedDesktopObjectDataPath" (readyToClose)="closeDynamicStandardCard($event)">
              </cb-dynamic-standard-card>
            </div>
            <div *ngIf="chosenCard === Card.DYNAMIC_CLIPBOARD" class="h-100 half-padded">
              <cb-dynamic-clipboard-card [subject]="[dynamicClipboardSelectedDesktopObject]" [formData]="dynamicStandardFormData" [link]="dynamicClipboardChosenLink" [dataPath]="dynamicClipboardSelectedDesktopObjectDataPath" (readyToClose)="closeDynamicClipboardCard($event)">
              </cb-dynamic-clipboard-card>
            </div>
            <div *ngIf="chosenCard === Card.VERSIONS" class="h-100 half-padded">
              <cb-versions-card [subject]="[mostRecentActualDesktopObject]" [dataPath]="versionsSelectedDesktopObjectDataPath" (readyToClose)="closeVersionsCard($event)">
              </cb-versions-card>
            </div>
          </div>
          <div *ngIf="!(mostRecentActualDesktopObject)" class="flex-grow-1">
          </div>
        </div>

      </div>
    </div>
  </div>
</div>

